Skip to main content
GET
List basic VM flavors

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

project_id
integer
required

Project ID.

Example:

1

Query Parameters

architectures
enum<string>[]

Filter by CPU architectures.

Available options:
aarch64,
unknown,
x86_64
available
boolean

Set to true to return only the available flavors. Set to false to return only the flavors that are disabled in their region or out of stock there. Omit it to return all flavors.

compatible_with_image_id
string<uuid4>

Return only the flavors that can boot this image: its region, OS type and CPU architecture. An unknown image matches no flavor.

limit
integer
default:100

Maximum number of items to return.

Required range: x <= 1000
name
StringFilter · object

Filter by flavor name, e.g. name[prefix]=g2s-.

offset
integer
default:0

Number of items to skip.

Required range: x >= 0
order_by
enum<string>
default:name.asc

Sort field and direction.

Available options:
name.asc,
name.desc,
ram_mib.asc,
ram_mib.desc,
region_id.asc,
region_id.desc,
vcpus.asc,
vcpus.desc
os_types
enum<string>[]

Filter by operating systems.

Available options:
linux,
unknown,
windows
ram_mib
IntRangeFilter · object

Filter by RAM size in MiB.

region_ids
integer[]

Filter by region IDs. Omit it to get all regions.

vcpus
IntRangeFilter · object

Filter by the number of virtual CPUs.

Response

Basic VM flavors

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
GlobalBasicVmFlavorSerializer · object[]
required

Objects